// Copyright (C) 2005-2007 Stefan Bauer <yoltia-maintain@freenet.de>

// This file is part of Yoltia.
//
// Yoltia is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License Version 2
// as published by the Free Software Foundation.
//    
// Yoltia is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Yoltia; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

#ifndef SDREHEN_HPP
#define SDREHEN_HPP

#include <qdialog.h>
#include <qimage.h>
#include <qlabel.h>
#include <qslider.h>

class SDrehen : public QDialog {
  Q_OBJECT
  public :
    SDrehen(QWidget *parent , QImage *datenAddr , QImage *backupAddr);
  private :
    QImage *backup;	//Zeiger auf SPicView::undoList.last()
    QImage *daten;	//Zeiger auf SPic::bilddaten
    QLabel *info;	//Ausgabe des aktuellen Winkels
    QSlider *rotator;	//Einstellen des Winkels
  private slots :
    void machDVS(int wert);	//Drehen
    void set90();	//90  setzen
    void set180();	//180  setzen
    void set270();	//270  setzen
  signals :
    void modified();
};

inline void SDrehen::set90() {
  rotator->setValue(180);
}

inline void SDrehen::set180() {
  rotator->setValue(360);
}

inline void SDrehen::set270() {
  rotator->setValue(540);
}

#endif
