// Copyright (C) 2005-2007 Stefan Bauer <yoltia-maintain@freenet.de>

// This file is part of Yoltia.
//
// Yoltia is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License Version 2
// as published by the Free Software Foundation.
//    
// Yoltia is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Yoltia; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

#ifndef SFSHANP_HPP
#define SFSHANP_HPP

#include <qdialog.h>
#include <qimage.h>
#include <qslider.h>

class SFSHAnp : public QDialog {
  Q_OBJECT
  public :
    SFSHAnp(QWidget *parent , QImage *datenAddr , QImage *backupAddr);
  private :
    QImage *backup;
    QImage *daten;
    QSlider *hueAdj;
    QSlider *satAdj;
    QSlider *valAdj;
  private slots :
    void anpassen();
    void nullFarbt();
    void nullSaett();
    void nullHell();
  signals :
    void modified();
};

inline void SFSHAnp::nullFarbt() {
  hueAdj->setValue(0);
}

inline void SFSHAnp::nullSaett() {
  satAdj->setValue(0);
}

inline void SFSHAnp::nullHell() {
  valAdj->setValue(0);
}

#endif
