// Copyright (C) 2005-2007 Stefan Bauer <yoltia-maintain@freenet.de>

// This file is part of Yoltia.
//
// Yoltia is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License Version 2
// as published by the Free Software Foundation.
//    
// Yoltia is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Yoltia; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

#include "snew.hpp"
#include <qlayout.h>
#include <qpushbutton.h>
//#include <qapplication.h>
#include <qimage.h>
#include <qhbox.h>

SNew::SNew(QWidget *parent) : QDialog(parent , "neu" , true) {
  fillColor = qRgb(255 , 255 , 255);
  QVBoxLayout *container = new QVBoxLayout(this , 10 , -1 , "container");
  sizeChanger = new SCSizeChanger(10 , 10 , this);
  container->addWidget(sizeChanger);
  QHBox *depthContainer = new QHBox(this , "depthContainer");
  depthContainer->setSpacing(10);
  new QLabel("Farbtiefe:" , depthContainer , "descrDepth");
  depthList = new QListBox(depthContainer , "depthList");
  depthList->insertStringList(QStringList::split("-" , "1 Bit / Pixel-8 Bit / Pixel-32 Bit / Pixel"));
  depthList->setCurrentItem(2);
  container->addWidget(depthContainer);
  QPushButton *fillColorChooser = new QPushButton(tr("&Select fill color...") , this , "fillColorChooser");
  QPushButton *ok = new QPushButton(tr("&Finished") , this , "ok");
  ok->setDefault(true);
  connect(fillColorChooser , SIGNAL(clicked()) , this , SLOT(getFillColor()));
  connect(ok , SIGNAL(clicked()) , this , SLOT(accept()));
  container->addWidget(fillColorChooser);
  container->addWidget(ok);
  setCaption(tr("New"));
}

