// Copyright (C) 2005-2007 Stefan Bauer <yoltia-maintain@freenet.de>

// This file is part of Yoltia.
//
// Yoltia is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License Version 2
// as published by the Free Software Foundation.
//    
// Yoltia is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Yoltia; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

#ifndef SSET_HPP
#define SSET_HPP

#include <qdialog.h>
#include <qspinbox.h>
#include <qcheckbox.h>
#include <qtoolbox.h>
#include <qlabel.h>

class SSet : public QDialog {
  Q_OBJECT
  public :
    SSet(QWidget *parent);
  private :
    QToolBox *toolBox;
    QSpinBox *undoN;
    QSpinBox *introN;
    QSpinBox *colTol;
    QSpinBox *markspace;
    QCheckBox *ssTimer;
    QSpinBox *ssTime;
    QCheckBox *ssRandom;
    QCheckBox *ssRepeat;
    QCheckBox *ssDisplayFilename;
    QCheckBox *ssDisplayListpos;
    QCheckBox *show;
    QSpinBox *historyN;
    QSpinBox *kompJPEG;
    QSpinBox *kompPNG;
    QSpinBox *edgeWO;
    QSpinBox *edgeCtrl;
    QSpinBox *edgeShift;
    QCheckBox *watchWidthMin;
    QCheckBox *watchWidthMax;
    QCheckBox *watchHeightMin;
    QCheckBox *watchHeightMax;
    QCheckBox *watchCountMin;
    QCheckBox *watchCountMax;
    QCheckBox *watchBeep;
    QCheckBox *watchColor;
    QSpinBox *widthMinValue;
    QSpinBox *widthMaxValue;
    QSpinBox *heightMinValue;
    QSpinBox *heightMaxValue;
    QSpinBox *countMinValue;
    QSpinBox *countMaxValue;
    QLabel *qtTrans;
    QLabel *yoltiaTrans;
    QColor backgroundColor;
  private slots :
    void clearHistory();
    void quit();
    void unsetQtTrans();
    void unsetYoltiaTrans();
    void searchQtTrans();
    void searchYoltiaTrans();
    void selectColor();
};

#endif
